# $Revision: 1.25 $, $Date: 2003/08/18 08:09:39 $

#
# TODO:
# - split into format packages
#

Summary:	Namespace-aware XML parser written in TeX
Summary(pl):	Uwzgldniajcy przestrzenie nazw parser XML napisany w TeXu
Name:		xmltex
Version:	20020625
Release:	3
License:	LaTeX Project Public License (http://www.latex-project.org/lppl.txt)
Group:		Applications/Publishing/TeX
Source0:	ftp://ftp.tex.ac.uk/tex-archive/macros/%{name}.tar.gz
# Source0-md5:	6fc7903420f585fc0f072d4411f67727
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-format-pdftex
BuildRequires:	tetex-format-pdflatex
Requires(post):	grep
Requires(post):	textutils
Requires(post,postun):	/usr/bin/texhash
Autoreqprov:	no
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Namespace-aware XML parser written in TeX.

%description -l pl
Uwzgldniajcy przestrzenie nazw parser XML napisany w TeXu.

%prep
%setup -q -c %{name}-%{version}
mv -f xmltex/base/* .

%build
pdftex -ini "&pdflatex" pdfxmltex.ini
tex -ini "&latex" xmltex.ini

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/texmf/{tex/xmltex,web2c},%{_bindir}}

install *.xmt $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
install %{name}.cfg $RPM_BUILD_ROOT%{_datadir}/texmf/tex/xmltex
install pdf%{name}.fmt $RPM_BUILD_ROOT%{_datadir}/texmf/web2c/
install %{name}.fmt $RPM_BUILD_ROOT%{_datadir}/texmf/web2c/

ln -sf pdftex ${RPM_BUILD_ROOT}%{_bindir}/pdf%{name}
ln -sf tex ${RPM_BUILD_ROOT}%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

if ! grep -q 'TEXINPUTS\.pdfxmltex' /usr/share/texmf/web2c ; then
cat >> /usr/share/texmf/web2c/texmf.cnf  << END

% xmltext & pdfxmltex config

TEXINPUTS.pdfxmltex   = .;\$TEXMF/{pdftex,tex}/{xmltex,latex,generic,}//
% xmltex & pdfxmltex
main_memory.xmltex = 1500000
param_size.xmltex = 1500
stack_size.xmltex = 1500
hash_extra.xmltex = 50000
string_vacancies.xmltex = 45000
pool_free.xmltex = 47500
nest_size.xmltex = 500
save_size.xmltex = 10000
pool_size.xmltex = 500000
max_strings.xmltex = 55000
main_memory.pdfxmltex = 2500000
param_size.pdfxmltex = 1500
stack_size.pdfxmltex = 1500
hash_extra.pdfxmltex = 50000
string_vacancies.pdfxmltex = 45000
pool_free.pdfxmltex = 47500
nest_size.pdfxmltex = 500
save_size.pdfxmltex = 10000
pool_size.pdfxmltex = 500000
max_strings.pdfxmltex = 55000
% end of xmltex config
END
fi

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

%files
%defattr(644,root,root,755)
%doc readme.txt *.html
%attr(755,root,root) %{_bindir}/*
%{_datadir}/texmf/web2c/*
%{_datadir}/texmf/tex/xmltex

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmltex.spec,v $
Revision 1.25  2003/08/18 08:09:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/27 12:45:12  trojan
- added Source-md5

Revision 1.23  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/30 11:06:27  malekith
- release 3: rebuild with more recent TeX, otherwise it doesn't work

Revision 1.21  2003/02/11 20:07:42  qboosh
- avoid adding configuration to texmf.cnf again on each upgrade

Revision 1.20  2002/10/29 17:16:07  wrobell
- merged from DEVEL

Revision 1.19.2.3  2002/10/05 13:39:18  wrobell
- fixed build requirements

Revision 1.19.2.2  2002/10/04 21:18:00  wrobell
- more build and install requirements fixes

Revision 1.19.2.1  2002/10/04 21:07:27  wrobell
- fixed build and install requirements
- use latex to build format instead of hugelatex

Revision 1.19  2002/08/28 12:15:43  wiget
- updated to 20020625

Revision 1.18  2002/08/05 19:33:53  kloczek
- use new %doc.

Revision 1.17  2002/08/05 19:18:28  kloczek
- release 2.

Revision 1.16  2002/04/25 16:42:01  arturs
fixed a small typo

Revision 1.15  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/18 16:13:39  wiget
updated to 20000907+xmltex.tex from passivetex 1.11

Revision 1.12  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/21 14:18:25  qboosh
- pl translation, fixed %%post tag

Revision 1.10  2001/08/21 10:13:36  wrobell
- postin script fixed (xmltex configuration should be well formed now)
- rel. 6, stb

Revision 1.9  2001/06/15 14:56:19  pawelk
add config to /usr/share/texmf/web2c/texmf.cnf
rel: 5

Revision 1.8  2001/04/06 11:48:18  wiget
explicity require tetex version;release 4

Revision 1.7  2001/04/04 19:06:20  kloczek
- cosmetics.

Revision 1.6  2001/03/27 16:50:29  wiget
add xmltex.cfg file and one missing dir in %%files; release 3

Revision 1.5  2001/03/27 11:10:41  wiget
include xmltex macros; requires tex/pdftex

Revision 1.4  2001/01/24 14:18:54  klakier
- archive file changed

Revision 1.3  2001/01/24 13:28:40  klakier
- link fixed

Revision 1.2  2001/01/24 12:34:27  klakier
- added Version and more doc

Revision 1.1  2001/01/24 12:03:51  klakier
- initial
